/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.JsonNode;

public class NewMessageRequest {
    private String method;
    private String message;
    private Data data;
    private ContentType type;
    private JsonNode customData;


    public NewMessageRequest(String message, Data data, ContentType type, JsonNode customData) {
        this.message = message;
        this.data = data;
        this.type = type;
        this.customData = customData;
    }

    public NewMessageRequest(){
method = "newMessage";
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Data getData() {
        return data;
    }

    public void setData(Data data) {
        this.data = data;
    }

    public ContentType getType() {
        return type;
    }

    public void setType(ContentType type) {
        this.type = type;
    }

    public JsonNode getCustomData() {
        return customData;
    }

    public void setCustomData(JsonNode customData) {
        this.customData = customData;
    }

    @Override
    public String toString() {
        return "NewMessageRequest{" +
                "method='" + method + '\'' +
                ", message='" + message + '\'' +
                ", data=" + data +
                ", type=" + type +
                ", customData=" + customData +
                '}';
    }
}
